orte/mca/gpr/proxy/gpr_proxy_internals.c File Reference.TH "orte/mca/gpr/proxy/gpr_proxy_internals.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/proxy/gpr_proxy_internals.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/class/orte_pointer_array.h'\fP
.br
\fC#include 'orte/mca/gpr/proxy/gpr_proxy.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_proxy_enter_subscription\fP (size_t cnt, \fBorte_gpr_subscription_t\fP **subscriptions)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_enter_trigger\fP (size_t cnt, \fBorte_gpr_trigger_t\fP **trigs)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_remove_subscription\fP (orte_gpr_proxy_subscriber_t *sub)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_remove_trigger\fP (orte_gpr_proxy_trigger_t *trig)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
